### Class

# EvinceDocument LinkAction

#### Description

    final class EvinceDocument.LinkAction : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ev_link_action_new_dest

No description available.

###### ev_link_action_new_external_uri

No description available.

###### ev_link_action_new_launch

No description available.

###### ev_link_action_new_layers_state

No description available.

###### ev_link_action_new_named

No description available.

###### ev_link_action_new_remote

No description available.

###### ev_link_action_new_reset_form

No description available.

#### Instance methods

###### ev_link_action_equal

Checks whether `a` and `b` are equal.

since: 3.8

###### ev_link_action_get_action_type

No description available.

###### ev_link_action_get_dest

No description available.

###### ev_link_action_get_exclude_reset_fields

No description available.

###### ev_link_action_get_filename

No description available.

###### ev_link_action_get_hide_list

No description available.

###### ev_link_action_get_name

No description available.

###### ev_link_action_get_params

No description available.

###### ev_link_action_get_reset_fields

No description available.

###### ev_link_action_get_show_list

No description available.

###### ev_link_action_get_toggle_list

No description available.

###### ev_link_action_get_uri

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EvinceDocument.LinkAction:dest

No description available.

###### EvinceDocument.LinkAction:exclude-reset-fields

No description available.

###### EvinceDocument.LinkAction:filename

No description available.

###### EvinceDocument.LinkAction:hide-list

No description available.

###### EvinceDocument.LinkAction:name

No description available.

###### EvinceDocument.LinkAction:params

No description available.

###### EvinceDocument.LinkAction:reset-fields

No description available.

###### EvinceDocument.LinkAction:show-list

No description available.

###### EvinceDocument.LinkAction:toggle-list

No description available.

###### EvinceDocument.LinkAction:type

No description available.

###### EvinceDocument.LinkAction:uri

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EvinceDocumentLinkActionClass {
      /* no available fields */
    }

No description available.